Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail
Class Provider

    java.lang.Object
      |
      +--javax.mail.Provider

public class Provider
extends java.lang.Object

The Provider is a class that describes a protocol implementation. The values come from the javamail.providers & javamail.default.providers resource files.

Inner Class Summary
`static class` | `Provider.Type` This inner class defines the Provider type.

Method Summary
`java.lang.String` | `getClassName()` Returns name of the class that implements the protocol
`java.lang.String` | `getProtocol()` Returns the protocol supported by this Provider
`Provider.Type` | `getType()` Returns the type of this Provider
`java.lang.String` | `getVendor()` Returns name of vendor associated with this implementation or null
`java.lang.String` | `getVersion()` Returns version of this implementation or null if no version
`java.lang.String` | `toString()` Overrides Object.toString()

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getType

    public Provider.Type getType()

  Returns the type of this Provider

### getProtocol

    public java.lang.String getProtocol()

  Returns the protocol supported by this Provider

### getClassName

    public java.lang.String getClassName()

  Returns name of the class that implements the protocol

### getVendor

    public java.lang.String getVendor()

  Returns name of vendor associated with this implementation or null

### getVersion

    public java.lang.String getVersion()

  Returns version of this implementation or null if no version

### toString

    public java.lang.String toString()

  Overrides Object.toString()
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD